Set "edithelppage" as a message used by the site language, not by the user's one
Closed, ResolvedPublic

Description

Author: rotemliss

Description:
When a user changes his language, for example, from Hebrew to English, the link
to the edit page instructions, "edithelppage", should remain the same (we won't
create more messages) but it switches to "Help:Editing", which is not exist. It
should be like "mainpage". (And it should be defined in
"$wgForceUIMsgAsContentMsg" in the Commons, for example, for the current behavior.)


Version: unspecified
Severity: minor

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz5536.
bzimport created this task.Via LegacyApr 11 2006, 11:04 AM
bzimport added a comment.Via ConduitApr 15 2006, 9:36 PM

rotemliss wrote:

Patch (trunk)

Changes wfMsg to wfMsgForContent in the proper page. Patch for REL1_6 is coming
soon.

Attached: 1.patch

bzimport added a comment.Via ConduitApr 15 2006, 9:36 PM

rotemliss wrote:

Patch (REL1_6)

Attached: 1.patch

bzimport added a comment.Via ConduitApr 15 2006, 9:39 PM

rotemliss wrote:

Please check in the patch. Thanks.

bzimport added a comment.Via ConduitApr 16 2006, 6:02 PM

robchur wrote:

Applied to SVN trunk, r13760 and backported.

Add Comment